SystemOrganization addCategory: #'A4BP-XSD-core'!
SystemOrganization addCategory: 'A4BP-XSD-core-model'!
SystemOrganization addCategory: 'A4BP-XSD-core-model-a4bp'!
SystemOrganization addCategory: 'A4BP-XSD-core-parser'!
SystemOrganization addCategory: 'A4BP-XSD-core-parser-builder'!

A4BPParserTagsXMLRef subclass: #BPParserXSDTagsXMLRef
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-parser'!

!BPParserXSDTagsXMLRef commentStamp: '<historical>' prior: 0!
get  a tag a string!

!BPParserXSDTagsXMLRef class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:27'!
annotation
<MSEClass: #BPParserXSDTagsXMLRef  super: #A4BPParserTagsXMLRef >
<package: #'A4BP-XSD-core' >! !

!BPParserXSDTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 10/28/2014 13:30'!
fillTags
	"self lstOfBPTagClass"
	tags addAll: self lstOfXSDTagClass.
	^ tags! !

!BPParserXSDTagsXMLRef class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:22'!
lstOfXSDTagClass
	|lstItems|
	lstItems := Dictionary new.

	self fillItems: lstItems tag: 'schema' class: BPXSDSchema.
	self fillItems: lstItems tag: 'import' class: BPXSDImport.
	self fillItems: lstItems tag: 'sequence' class: BPXSDSequence.
	self fillItems: lstItems tag: 'element' class: BPXSDElement.	
	self fillItems: lstItems tag: 'complexType' class: BPXSDComplexType.
	self fillItems: lstItems tag: 'include' class: BPXSDInclude.
	
	
	"second model option xsd:<tag>"
	self copyList:lstItems with:'xsd:'.

	^ lstItems
	
! !

!BPParserXSDTagsXMLRef class methodsFor: 'resetting' stamp: 'AlvaroJosePeraltaOcampo 10/28/2014 13:28'!
reset
	"self reset"
	tags := nil.
	^ 'OK'! !

A4BPSOAContext subclass: #BPXSDContext
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-model-a4bp'!

!BPXSDContext class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:19'!
annotation
<MSEClass: #BPXSDContext  super: #A4BPSOAContext >
<package: #'A4BP-XSD-core' >! !

!BPXSDContext methodsFor: 'creator' stamp: 'AlvaroJosePeraltaOcampo 4/21/2015 16:11'!
getParsers
	| parsers |
	parsers := super getParsers.
	parsers add: BPParserXSDSchema new.
	^ parsers! !

A4BPObject subclass: #BPXSDObject
	instanceVariableNames: 'mySchema'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-model'!

BPXSDObject subclass: #BPXSDNamedElement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-model'!

BPXSDNamedElement subclass: #BPXSDAttribute
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-model'!

!BPXSDAttribute class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:19'!
annotation
<MSEClass: #BPXSDAttribute  super: #BPXSDNamedElement >
<package: #'A4BP-XSD-core' >! !

!BPXSDAttribute methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 10:14'!
accept: aVisitor
	^ aVisitor visitBPXSDAttribute: self! !

BPXSDNamedElement subclass: #BPXSDComplexType
	instanceVariableNames: 'lstAtributes xsdSequence'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-model'!

!BPXSDComplexType class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:19'!
annotation
<MSEClass: #BPXSDComplexType  super: #BPXSDNamedElement >
<package: #'A4BP-XSD-core' >! !

!BPXSDComplexType class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 10:16'!
fillElementsIn: aBPObj from: document
	| visitor |
	"for each element find tags xml"
	visitor := BPBuilderSetNodesinBPXSDComplexTypeVisitor new.
	visitor element: aBPObj.
	self fillElementsIn: aBPObj from: document visitor: visitor.! !

!BPXSDComplexType methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/7/2014 09:32'!
accept: aVisitor
	^ aVisitor visitBPXSDComplexType: self! !

!BPXSDComplexType methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 10:28'!
addSimpleType: aXSDSimpleType
	lstElements at: aXSDSimpleType aName put: aXSDSimpleType! !

!BPXSDComplexType methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 00:04'!
allElements
	| lst |
	lst := OrderedCollection new.
	lst addAll: xsdSequence allElements.
	^ lst! !

!BPXSDComplexType methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 00:07'!
fillElementsIn: lst
	lst addAll: self xsdSequence allElements! !

!BPXSDComplexType methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 23:47'!
xsdSequence
	^ xsdSequence! !

!BPXSDComplexType methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 23:47'!
xsdSequence: aSequence
	xsdSequence := aSequence! !

BPXSDNamedElement subclass: #BPXSDElement
	instanceVariableNames: 'type stType lstElements'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-model'!

!BPXSDElement class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:19'!
annotation
<MSEClass: #BPXSDElement  super: #BPXSDNamedElement >
<package: #'A4BP-XSD-core' >! !

!BPXSDElement class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:34'!
fillElementsIn: aBPObj from: document
	| visitor |
	aBPObj stType: (self readString: document at: BPBPELParserTagsXMLRef atrType).
	"for each element find tags xml"
	visitor := BPBuilderSetNodesinBPXSDElementVisitor new.
	visitor element: aBPObj.
	self fillElementsIn: aBPObj from: document visitor: visitor.! !

!BPXSDElement methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 11:56'!
accept: aVisitor
	aVisitor visitBPXSDElement: self.! !

!BPXSDElement methodsFor: 'addding' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 08:49'!
addElement: aElement
	lstElements add: aElement.
	type := aElement! !

!BPXSDElement methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 09:50'!
allElements
	| lst |
	lst := OrderedCollection new.
	lst addAll: lstElements.
	lstElements do: [ :el | el fillElementsIn: lst ].
	lst addAll: type allElements.
	^ lst! !

!BPXSDElement methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 08:51'!
buildMeRelations
	| nameElement bpGType |
	"if the code dont find the type is probably that the definitions is primitive element like xsd:String"
	type = A4BPEmptyObj instance
		ifTrue: [ 
			(stType ~= nil or: (stType ~= ''))
				ifTrue: [ 
					bpGType := BPGenericType newGenericType: self.
					nameElement := mySchema findElementByType: bpGType.
					nameElement ifNotNil: [ type := nameElement ] ] ].
	! !

!BPXSDElement methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 00:06'!
fillElementsIn: lst
	lst addAll: self allElements.
	^ lst! !

!BPXSDElement methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 08:53'!
initialize
	super initialize.
	lstElements := OrderedCollection new.
	type := A4BPEmptyObj instance! !

!BPXSDElement methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/30/2014 19:14'!
stType
	^ stType! !

!BPXSDElement methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/30/2014 19:14'!
stType: aString
	stType := aString! !

!BPXSDElement methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 19:35'!
type
	^ type! !

!BPXSDElement methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 19:35'!
type: aType
	type:=aType! !

BPXSDNamedElement subclass: #BPXSDImport
	instanceVariableNames: 'namespace schemaLocation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-model'!

!BPXSDImport class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:19'!
annotation
<MSEClass: #BPXSDImport  super: #BPXSDNamedElement >
<package: #'A4BP-XSD-core' >! !

!BPXSDImport class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:26'!
fillElementsIn: aBPObj from: document
	aBPObj namespace: (document attributeAt: BPBPELParserTagsXMLRef atrNamespace).
	aBPObj schemaLocation: (document attributeAt: BPBPELParserTagsXMLRef atrSchemaLocation).
	^ aBPObj! !

!BPXSDImport methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 10:14'!
accept: aVisitor
	^ aVisitor visitBPXSDImport: self! !

!BPXSDImport methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 13:19'!
namespace
	^ namespace! !

!BPXSDImport methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 13:20'!
namespace: aString
	^ namespace := aString! !

!BPXSDImport methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 13:20'!
schemaLocation
	^ schemaLocation! !

!BPXSDImport methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 13:20'!
schemaLocation: aString
	^ schemaLocation := aString! !

BPXSDNamedElement subclass: #BPXSDInclude
	instanceVariableNames: 'namespace schemaLocation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-model'!

!BPXSDInclude class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:19'!
annotation
<MSEClass: #BPXSDInclude  super: #BPXSDNamedElement >
<package: #'A4BP-XSD-core' >! !

!BPXSDInclude class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:34'!
fillElementsIn: aBPObj from: document
	aBPObj namespace: (document attributeAt: BPBPELParserTagsXMLRef atrNamespace).
	aBPObj schemaLocation: (document attributeAt: BPBPELParserTagsXMLRef atrSchemaLocation).
	^ aBPObj! !

!BPXSDInclude methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 10:14'!
accept: aVisitor
	^ aVisitor visitBPXSDInclude: self! !

!BPXSDInclude methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 18:13'!
namespace
	^ namespace! !

!BPXSDInclude methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 18:13'!
namespace: aString
	^ namespace := aString! !

!BPXSDInclude methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 18:13'!
schemaLocation
	^ schemaLocation! !

!BPXSDInclude methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 18:13'!
schemaLocation: aString
	^ schemaLocation := aString! !

!BPXSDNamedElement class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:19'!
annotation
<MSEClass: #BPXSDNamedElement  super: #BPXSDObject >
<package: #'A4BP-XSD-core' >! !

!BPXSDNamedElement methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 10:14'!
accept: aVisitor
	^ aVisitor visitBPXSDNamedElement: self! !

BPXSDNamedElement subclass: #BPXSDSchema
	instanceVariableNames: 'lstComplexTypes lstSimpleTypes fileName fullPath lstElements targetNamespace nsNameSpaces import include schemaLocation iInternalReference'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-model'!

!BPXSDSchema class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:19'!
annotation
<MSEClass: #BPXSDSchema  super: #BPXSDNamedElement >
<package: #'A4BP-XSD-core' >! !

!BPXSDSchema class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 10:29'!
fillElementsIn: aBPXSDSchema from: document
	| visitor |
	aBPXSDSchema targetNamespace: (self readString: document at: BPBPELParserTagsXMLRef atrTargetNamespace).
	visitor := BPBuilderSetNodesinBPXSDSchemaVisitor new.
	visitor element: aBPXSDSchema.
	self fillElementsIn: aBPXSDSchema from: document visitor: visitor.
	aBPXSDSchema nsNameSpaces: document nameSpaces.
	aBPXSDSchema buildMeRelations.
	^ aBPXSDSchema! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/2/2014 10:09'!
aName
	aName = ''
		ifTrue: [ ^ self fileName ];
		ifFalse: [ ^ aName ]! !

!BPXSDSchema methodsFor: 'visitor' stamp: 'AlvaroJosePerltaOcampo 6/2/2014 13:17'!
accept: aVisitor
	^ aVisitor visitBPXSDSchema: self! !

!BPXSDSchema methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 6/7/2014 09:35'!
addComplexType: aXSDComplexType
	lstComplexTypes at: aXSDComplexType aName put: aXSDComplexType! !

!BPXSDSchema methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 11:40'!
addElement: aElement
	lstElements at: aElement aName put:aElement ! !

!BPXSDSchema methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 18:35'!
addImport: aWSDLImport
	import := aWSDLImport! !

!BPXSDSchema methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 6/7/2014 09:34'!
addSimpleType: aXSDSimpleType
	lstSimpleTypes at: aXSDSimpleType aName put: aXSDSimpleType! !

!BPXSDSchema methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 09:09'!
buildMeRelations
	"Message to start to build my relations into my elements and my types"

	lstElements do: [ :el | el buildMeRelations ].! !

!BPXSDSchema methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 6/20/2014 23:26'!
buildRelations: aRelation
	aRelation buildRelationsBpXSDSchema: self! !

!BPXSDSchema methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 02:44'!
buildRelationsBpProcess: aBPProcess
	aBPProcess buildRelationsBpXSDSchema: self! !

!BPXSDSchema methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 11:59'!
buildRelationsBpWsdls: aBPWSDL
	aBPWSDL buildRelationsBpXSDSchema: self.! !

!BPXSDSchema methodsFor: 'build-relations' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 09:28'!
buildRelationsBpXSDSchema: aBPXSDSchema
	| matchPattern |
	self isInternalReference 
		ifTrue: [ 
			matchPattern := '*' , aBPXSDSchema fileName , '*'.
			(matchPattern match: self schemaLocation)
				ifTrue: [ parent addRelation: aBPXSDSchema ] ]! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 11:39'!
elements
	^ lstElements! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 11:38'!
elements: aLstElements
	lstElements := aLstElements ! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 20:35'!
fileName
	^ fileName! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 20:33'!
fileName: aFileName
	fileName := aFileName! !

!BPXSDSchema methodsFor: 'finder' stamp: 'AlvaroJosePeraltaOcampo 6/21/2014 02:18'!
findDefType: aDefType
	^ self findNameElement: aDefType element! !

!BPXSDSchema methodsFor: 'finder' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 09:26'!
findElementByType: bpGType
	^ self findNameElement: bpGType element.! !

!BPXSDSchema methodsFor: 'finder' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 08:52'!
findNameElement: aKeyName
	| el |
	el := A4BPEmptyObj instance.
	[ ^ el := self lstElements at: aKeyName ]
		on: KeyNotFound
		do: [  ].
	[ ^ el := self lstComplexTypes at: aKeyName ]
		on: KeyNotFound
		do: [  ].
	[ ^ el := self lstSimpleTypes at: aKeyName ]
		on: KeyNotFound
		do: [  ].
	^ el! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 20:35'!
fullPath
	^ fullPath! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 20:35'!
fullPath: aFullPath
	fullPath := aFullPath! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 09:18'!
iInternalReference: aBool
	^ iInternalReference := aBool! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 09:38'!
import
	^ import! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 09:38'!
import: aImport
	import := aImport! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/9/2014 23:30'!
include
	^ include! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/9/2014 23:30'!
include: aInclude
	^ include :=aInclude ! !

!BPXSDSchema methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 08:53'!
initialize
	super initialize.
	lstComplexTypes := Dictionary new.
	lstSimpleTypes := Dictionary new.
	lstElements := Dictionary new.
	iInternalReference:=false.
	import := A4BPEmptyObj instance.
	include := A4BPEmptyObj instance.
	mySchema := self.! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 09:18'!
isInternalReference
	^ iInternalReference ! !

!BPXSDSchema methodsFor: 'questions' stamp: 'AlvaroJosePeraltaOcampo 4/23/2015 09:34'!
isSchema
	^ true! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/9/2014 13:20'!
label
	^ aName , '>' , self fileName! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 09:12'!
lstComplexTypes
	^ lstComplexTypes! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 12:05'!
lstElements
	^ lstElements! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 09:12'!
lstSimpleTypes
	^ lstSimpleTypes! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 18:38'!
namespace
	^ targetNamespace! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 18:22'!
nsNameSpaces
	^ nsNameSpaces! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 18:21'!
nsNameSpaces: aDictionary
	nsNameSpaces := aDictionary! !

!BPXSDSchema methodsFor: 'metrics' stamp: 'AlvaroJosePeraltaOcampo 6/7/2014 09:14'!
numberOfComplexTypes
	^ lstComplexTypes size! !

!BPXSDSchema methodsFor: 'metrics' stamp: 'AlvaroJosePeraltaOcampo 6/7/2014 09:14'!
numberOfSimpleTypes
	^ lstSimpleTypes size! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 7/9/2014 23:32'!
schemaLocation
	import isBPEmtyObj ifFalse: [ ^ import schemaLocation ].
	include isBPEmtyObj ifFalse: [ ^ include schemaLocation ].
	^ ''
	! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 21:14'!
targetNamespace
	^ targetNamespace! !

!BPXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 21:14'!
targetNamespace: aString
	targetNamespace := aString ! !

BPXSDNamedElement subclass: #BPXSDSequence
	instanceVariableNames: 'lstElements'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-model'!

!BPXSDSequence class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:19'!
annotation
<MSEClass: #BPXSDSequence  super: #BPXSDNamedElement >
<package: #'A4BP-XSD-core' >! !

!BPXSDSequence class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 23:49'!
fillElementsIn: aBPObj from: document
	| visitor |
	"for each element find tags xml"
	visitor := BPBuilderSetNodesinBPXSDSequenceVisitor new.
	visitor element: aBPObj.
	self fillElementsIn: aBPObj from: document visitor: visitor.! !

!BPXSDSequence methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 10:15'!
accept: aVisitor
	^ aVisitor visitBPXSDSequence: self! !

!BPXSDSequence methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 00:00'!
addElement: aElement
	lstElements add: aElement! !

!BPXSDSequence methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 6/30/2014 16:26'!
allElements
	| lst |
	lst := OrderedCollection new.
	lst addAll: lstElements.
	lstElements do: [ :el | el fillElementsIn: lst ].
	^ lst! !

!BPXSDSequence methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 20:56'!
elements
	^ lstElements! !

!BPXSDSequence methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 00:02'!
initialize
	super initialize.
	lstElements := OrderedCollection new.! !

!BPXSDSequence methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 20:56'!
lstElements
	^ lstElements! !

!BPXSDSequence methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 20:55'!
lstElements: aLstElements
	lstElements:=aLstElements ! !

BPXSDNamedElement subclass: #BPXSDSimpleType
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-model'!

!BPXSDSimpleType class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:19'!
annotation
<MSEClass: #BPXSDSimpleType  super: #BPXSDNamedElement >
<package: #'A4BP-XSD-core' >! !

!BPXSDSimpleType methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/7/2014 09:32'!
accept: aVisitor
	^ aVisitor visitBPXSDSimpleType: self! !

!BPXSDSimpleType methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/30/2014 16:24'!
allElements
	^ OrderedCollection new add: self! !

!BPXSDSimpleType methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 6/30/2014 16:23'!
fillElementsIn: lst
	lst ifNotNil: [ lst add: self ]! !

!BPXSDObject class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/24/2015 14:26'!
annotation
<MSEClass: #BPXSDObject  super: #A4BPObject >
<package: #'A4BP-XSD-core' >
<abstract>! !

!BPXSDObject class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 6/10/2014 09:53'!
fillElementsIn: aBPObject from: document visitor: visitor
	self fillElementsIn: aBPObject from: document visitor: visitor tagRef:BPParserXSDTagsXMLRef! !

!BPXSDObject methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/10/2014 09:20'!
accept: aVisitor
	^ aVisitor visitBPXSDObject: self! !

!BPXSDObject methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 09:05'!
mySchema
	^ mySchema! !

!BPXSDObject methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 09:05'!
mySchema: aSchema
	mySchema :=aSchema ! !

A4BPAbstractParser subclass: #BPParserXSDSchema
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-parser'!

!BPParserXSDSchema commentStamp: '<historical>' prior: 0!
Represent the  parser to provide a PBWSDL Object to manipulate in 
BPEL process analisys!

!BPParserXSDSchema class methodsFor: 'parser' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 10:25'!
parseString: string
	^ self new parseString: string! !

!BPParserXSDSchema methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:57'!
filePrefix
	^ '.xsd'! !

!BPParserXSDSchema methodsFor: 'impl' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 10:25'!
getBaseElement
	^ BPXSDSchema ! !

!BPParserXSDSchema methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 4/22/2015 09:14'!
getTagRef
	^ BPParserXSDTagsXMLRef! !

!BPParserXSDSchema methodsFor: 'initialization' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 10:25'!
initialize
	super initialize.! !

!BPParserXSDSchema methodsFor: 'impl' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 23:14'!
lstOfTag
	| tags |
	tags := OrderedCollection new.
	tags add:'schema'.
	"tags add:'xsd:schema'."
	^ tags! !

!BPParserXSDSchema methodsFor: 'metric' stamp: 'AlvaroJosePerltaOcampo 6/3/2014 10:25'!
numberOfDefinedWSDLs
	^ self numberOfElements.! !

BPBuilderSetNodesVisitor subclass: #BPBuilderSetNodesinBPXSDComplexTypeVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-parser-builder'!

!BPBuilderSetNodesinBPXSDComplexTypeVisitor commentStamp: '<historical>' prior: 0!
A BPBuilderSetNodesinBPXSDComplexTypeVisitor is xxxxxxxxx.
!

!BPBuilderSetNodesinBPXSDComplexTypeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 10:24'!
visitBPXSDImport: aModel
	! !

!BPBuilderSetNodesinBPXSDComplexTypeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 10:24'!
visitBPXSDObject: aModel
	! !

!BPBuilderSetNodesinBPXSDComplexTypeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 10:12'!
visitBPXSDSequence: aModel
	^ aBPObj xsdSequence: aModel! !

!BPBuilderSetNodesinBPXSDComplexTypeVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 10:24'!
visitBPXSDSimpleType: aModel
	^ aBPObj addSimpleType: aModel! !

BPBuilderSetNodesVisitor subclass: #BPBuilderSetNodesinBPXSDElementVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-parser-builder'!

!BPBuilderSetNodesinBPXSDElementVisitor commentStamp: '<historical>' prior: 0!
A BPBuilderSetNodesinBPXSDElementVisitor is xxxxxxxxx.
!

!BPBuilderSetNodesinBPXSDElementVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/28/2014 09:47'!
visitBPXSDComplexType: aModel
	aBPObj addElement: aModel
	! !

BPBuilderSetNodesVisitor subclass: #BPBuilderSetNodesinBPXSDSchemaVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-parser-builder'!

!BPBuilderSetNodesinBPXSDSchemaVisitor commentStamp: '<historical>' prior: 0!
A BPBuilderSetNodesinBPXSDSchemaVisitor is xxxxxxxxx.
!

!BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 20:19'!
visitBPXSDComplexType: aModel
	self visitBPXSDObject: aModel.
	^ aBPObj addComplexType: aModel! !

!BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 20:19'!
visitBPXSDElement: aModel
	self visitBPXSDObject: aModel.
	^ aBPObj addElement: aModel! !

!BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/3/2014 09:37'!
visitBPXSDImport: aModel
	aBPObj import: aModel! !

!BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/9/2014 23:29'!
visitBPXSDInclude: aModel
	aBPObj include: aModel! !

!BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/1/2014 09:06'!
visitBPXSDObject: aModel
	^ aModel mySchema: aBPObj.! !

!BPBuilderSetNodesinBPXSDSchemaVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 6/15/2014 20:19'!
visitBPXSDSimpleType: aModel
	self visitBPXSDObject: aModel.
	^ aBPObj addSimpleType: aModel! !

BPBuilderSetNodesVisitor subclass: #BPBuilderSetNodesinBPXSDSequenceVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-XSD-core-parser-builder'!

!BPBuilderSetNodesinBPXSDSequenceVisitor commentStamp: '<historical>' prior: 0!
A BPBuilderSetNodesinBPXSDSequenceVisitor is xxxxxxxxx.
!

!BPBuilderSetNodesinBPXSDSequenceVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 00:01'!
visitBPXSDComplexType: aModel
	^ aBPObj addElement: aModel! !

!BPBuilderSetNodesinBPXSDSequenceVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 00:01'!
visitBPXSDElement: aModel
	^ aBPObj addElement: aModel! !

!BPBuilderSetNodesinBPXSDSequenceVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 7/2/2014 00:01'!
visitBPXSDSimpleType: aModel
	^ aBPObj addElement: aModel! !
